From d88a51cbbccbfc1f5f779c1e68b8592e0e9e0d68 Mon Sep 17 00:00:00 2001
From: Florents Tselai <florents.tselai@gmail.com>
Date: Tue, 8 Jul 2025 17:32:55 +0300
Subject: [PATCH v2] Add catalog/README

---
 src/include/catalog/README | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100644 src/include/catalog/README

diff --git a/src/include/catalog/README b/src/include/catalog/README
new file mode 100644
index 00000000000..2bf3f1f8887
--- /dev/null
+++ b/src/include/catalog/README
@@ -0,0 +1,14 @@
+# Catalog
+
+For more details see https://www.postgresql.org/docs/devel/bki.html
+
+Below are some checklists for common scenarios.
+
+## Adding a New Built-in SQL Command
+
+1. Implement the function in C and place it in the appropriate directory under `src` (typically in `src/utils/adt`)
+2. Each function should have a unique integer OID. Run the script `src/include/catalog/unused_oids` to find available ranges.
+3. Add the entry to `pg_proc.dat` following the surrounding conventions.
+
+More detailed documentation adding a new SQL command is available at
+https://www.postgresql.org/docs/devel/xfunc-c.html
-- 
2.49.0

